package net.knarcraft.blacksmith.command;

import net.md_5.bungee.api.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

/**
 * The main command used for everything blacksmith related
 */
public class BlackSmithCommand implements CommandExecutor {

    @Override
    public boolean onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label,
                             @NotNull String[] args) {
        if (!sender.hasPermission("blacksmith.admin")) {
            sender.sendMessage(ChatColor.DARK_RED + "You don't have the necessary permission for using this command.");
            return true;
        }

        //TODO: This command should have one config sub-command which changes the default config values, and all 
        // setting names which can be changed for each NPC.
        if (args.length > 0) {
            if (args[0].equalsIgnoreCase("reload")) {
                return new ReloadCommand().onCommand(sender, command, label, args);
            } else if (args[0].equalsIgnoreCase("config")) {
                //TODO: Allow changing any global/default setting + reloading here
            } else {
                return new NPCSettingCommand().onCommand(sender, command, label, args);
            }
        }
        return false;
    }

}
