package net.knarcraft.blacksmith.command;

import net.knarcraft.blacksmith.config.NPCSetting;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.command.TabCompleter;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.ArrayList;
import java.util.List;

/**
 * The tab completer for the main blacksmith command
 */
public class BlackSmithTabCompleter implements TabCompleter {

    @Nullable
    @Override
    public List<String> onTabComplete(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label,
                                      @NotNull String[] args) {
        List<String> npcSettings = new ArrayList<>();
        for (NPCSetting setting : NPCSetting.values()) {
            npcSettings.add(setting.getCommandName());
        }

        if (args.length == 1) {
            if (!sender.hasPermission("blacksmith.admin")) {
                return new ArrayList<>();
            }

            List<String> availableCommands = new ArrayList<>(npcSettings);
            availableCommands.add("reload");
            return availableCommands;
        } else {
            if (npcSettings.contains(args[0])) {
                return new NPCSettingTabCompleter().onTabComplete(sender, command, label, args);
            } else {
                return new ArrayList<>();
            }
        }
    }

}
